---
lang: en
title: 'API docs: rest.infospecenhancer'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.infospecenhancer.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [InfoSpecEnhancer](./rest.infospecenhancer.md)

## InfoSpecEnhancer class

An OpenAPI spec enhancer to populate `info` with application metadata (package.json).

**Signature:**

```typescript
export declare class InfoSpecEnhancer implements OASEnhancer 
```
**Implements:** [OASEnhancer](./openapi-v3.oasenhancer.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(pkg)](./rest.infospecenhancer._constructor_.md) |  | Constructs a new instance of the <code>InfoSpecEnhancer</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./rest.infospecenhancer.name.md) |  | string |  |
|  [pkg?](./rest.infospecenhancer.pkg.md) | <code>readonly</code> | [ApplicationMetadata](./core.applicationmetadata.md) \| undefined | _(Optional)_ |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [modifySpec(spec)](./rest.infospecenhancer.modifyspec.md) |  |  |


